# Get-RASSiteStatus.md

## NAME

Get-RASSiteStatus

## SYNOPSIS

Retrieves the site summary and state information.

## SYNTAX

**Get-RASSiteStatus** \[\[-[Id](#id-string)] *(uint)*] \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Get-RASSiteStatus \[\[-[InputObject](#inputobject)] *(*[*Site*](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/site)*)*] \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Get-RASSiteStatus** \[\[-[Name](#name-string)] *(string)*] \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Retrieves the site summary and state information.

To obtain the information for all sites, execute the cmdlet with no parameters.

## PARAMETERS

## Name (string)

The name of the server where the primary Connection Broker is running.

This must be the actual server name used in the RAS farm.

```
        Required?                    false

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID from which to retrieve Site status information.

If the parameter is omitted, the site ID of the Licensing Server will be used.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The site ID. To obtain the ID, use the Get-Site cmdlet.

```
        Required?                    false

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([Site](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/site))

An object of type Site representing the site.

To obtain the object, use the Get-Site cmdlet.

```
        Required?                    false

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[Site](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/site)

## OUTPUTS

[SiteSysInfo](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/sitesysinfo)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASSiteStatus -Id 15

Retrieves the information for the site with ID 15.\
\*\*---------- EXAMPLE 2 ----------

Get-RASSiteStatus -Server MySiteServer

Retrieves the information for the site where the primary Site name is "MySiteServer".\
\*\*---------- EXAMPLE 3 ----------

Get-RASSiteStatus -InputObject $Site

Retrieves the information for the site represented by the $Site object.\
\*\*---------- EXAMPLE 4 ----------

Get-RASSite -Id 15 | Get-RASSiteStatus

Retrieves the information for the site represented by the object obtained from the pipeline output.\
\*\*---------- EXAMPLE 5 ----------

Get-RASSiteStatus -SiteId 3

Retrieves the information for the specified site.\
\*\*---------- EXAMPLE 6 ----------

Get-RASSiteStatus -SiteId 3 -Server MySiteServer

Retrieves the information for the specific site and server.

## RELATED LINKS

* [New-RASSite](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rassite)
* [Get-RASSite](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rassite)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rassitestatus.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
